;///////////////////////////////////////////////////////////////////////////////////////////////////
;/                                  Variable-base logarithm                                        /
;/                              Written by Donald Straney 5/5/03                                   /
;/                      Designed for the Z80/TI-86 graphing calculator                             /
;///////////////////////////////////////////////////////////////////////////////////////////////////

#include "Ti86.inc"

.org _asm_exec_ram

    nop
    jp ProgStart
    .dw 0
    .dw ShellTitle

ShellTitle:
    .db "variable-base log",0

ProgStart:
  call _clrScrn
  call _homeup
  ld hl,Title
  call _puts
  call _newline
  ld hl,Title_2
  call _puts
  call _newline
  ld hl,Prompt_Base
  call Get_Num
  call _LOGXP
  call _op1toop2
  call _pushrealo2
  ld hl,Prompt_Num
  call Get_Num
  call _LOGXP
  call _poprealo2
  call _FPDIV
  call _dispOP1
  jp _pause

Get_Num:
  push hl
  ld hl,_ioPrompt
  push hl
  pop de
  inc hl
  ld (hl),0
  ld bc,9
  ldir
  pop hl
  ld de,_ioPrompt
  call _mov10b
  ld a,$0d
  ld ($d623),a
  jp $5714

Title:
.db "log y",0
Title_2:
.db "   ",$cd,0
Prompt_Base:
.db "x:",0
Prompt_Num:
.db "y:",0

.end
